<p align="center">
  <a href="https://flame-engine.org">
    <img alt="flame" width="200px" src="https://user-images.githubusercontent.com/6718144/101553774-3bc7b000-39ad-11eb-8a6a-de2daa31bd64.png">
  </a>
</p>

<p align="center">
Un motor de video juegos basado en Flutter.
</p>

<p align="center">
  <a title="Pub" href="https://pub.dev/packages/flame" ><img src="https://img.shields.io/pub/v/flame.svg?style=popout" /></a>
  <img src="https://github.com/flame-engine/flame/workflows/cicd/badge.svg?branch=main&event=push" alt="Test" />
  <a title="Discord" href="https://discord.gg/pxrBmy4" ><img src="https://img.shields.io/discord/509714518008528896.svg" /></a>
</p>

---

[English](/README.md) | [简体中文](/i18n/README-ZH.md) | [Polski](/i18n/README-PL.md) | [Русский](/i18n/README-RU.md) | [Español](/i18n/README-ES.md) | [日本語](/i18n/README-JA.md)

---


## Documentación

La documentación completa de Flame se encuentra en
[docs.flame-engine.org](https://docs.flame-engine.org/).

Para cambiar la versión de la documentación, use el selector de versión resaltado con `version:` arriba de la página.

**Nota**: La documentación que se encuentra en la rama principal es más reciente que la documentación lanzada en el sitio web de documentación.

Other useful links:
 - [El sitio oficial de Flame](https://flame-engine.org/).
 - [Ejemplos](https://examples.flame-engine.org/) de la mayoría de características las cuales pueden ser probadas desde el navegador.
 - [Tutoriales](https://tutorials.flame-engine.org/) - Un sencillo tutorial para iniciar.
 - [Referencia de la API](https://pub.dev/documentation/flame/latest/) - Referencias de la API generadas por dartdoc.


## Ayuda

Tenemos una comunidad de Flame en el [Discord server de Blue Fire](https://discord.gg/5unKpdQD78) donde puedes preguntar cualquier pregunta relacionada con Flame que tengas.

Si te sientes más cómodo con StackOverFlow, también puedes crear una pregunta allí. Añade el
[Tag de Flame](https://stackoverflow.com/questions/tagged/flame), de manera que cualquiera siguiendo el tag pueda ayudarte.

## Características

El objetivo de Flame Engine es ofrecer un completo conjunto de soluciones para problemas comunes que comparten los desarrolladores de video juegos con Flutter.

Actualmente Flame ofrece las siguientes características:

 - Un ciclo de juego.
 - Un sistema de componentes/objectos FCS).
 - Efectos y partículas.
 - Detección de colisiones.
 - Soporte de gestos y entradas.
 - Imágenes, animaciones, sprites y sprite sheets.
 - Algunas otras utilidades para facilitar el desarrollo.

A parte de estas características, puedes ampliar Flame con los bridge packages.
Por medio de estas librerías, serás capaz de acceder a componentes de Flame, helpers y enlazar a otros paquetes con el fin de hacer integraciones sin contratiempos. Actualmente, tenemos librerías bridge para los siguientes paquetes:

- [flame_audio](https://github.com/flame-engine/flame/tree/main/packages/flame_audio) para
  [AudioPlayers](https://github.com/bluefireteam/audioplayers): Reproduce multiple archivos de audio de forma simultanea.
- [flame_bloc](https://github.com/flame-engine/flame/tree/main/packages/flame_bloc) para
  [Bloc](https://github.com/felangel/bloc): Una predecible librería de manejo de estados.
- [flame_fire_atlas](https://github.com/flame-engine/flame/tree/main/packages/flame_fire_atlas) para
  [FireAtlas](https://github.com/flame-engine/fire-atlas): Crea atlases texturas para video juegos.
- [flame_forge2d](https://github.com/flame-engine/flame/tree/main/packages/flame_forge2d) para
  [Forge2D](https://github.com/flame-engine/forge2d): Motor de fisicas Box2D.
- [flame_lint](https://github.com/flame-engine/flame/tree/main/packages/flame_lint) -
  Nuestro conjunto de reglas linting (`analysis_options.yaml`).
- [flame_oxygen](https://github.com/flame-engine/flame/tree/main/packages/flame_oxygen) para
  [Oxygen](https://github.com/flame-engine/oxygen): Un ligero framework para Sistema Componente Entidad (ECS).
- [flame_rive](https://github.com/flame-engine/flame/tree/main/packages/flame_rive) para
  [Rive](https://rive.app/): Crea animaciones interactivas.
- [flame_svg](https://github.com/flame-engine/flame/tree/main/packages/flame_svg) para
  [flutter_svg](https://github.com/dnfield/flutter_svg): Dibuja archivos SVG en Flutter.
- [flame_tiled](https://github.com/flame-engine/flame/tree/main/packages/flame_tiled) para
  [Tiled](https://www.mapeditor.org/): Editor de mosaicos para  mapas y niveles en 2D.


## Patrocinadores

Top de patrocinadores del Flame Engine:

[![Cypher Stack](/media/logo_cypherstack.png)](https://cypherstack.com/)

¿Quieres patrocinar Flame? Mira nuestro Patreon en la siguiente sección, o contactanos en Discord. 


## Apoyo

La forma más simple de mostrar su apoyo a este proyecto es dando una estrella.

También puede apoyarnos convirtiéndose patrón en Patreon:

[![Patreon](https://c5.patreon.com/external/logo/become_a_patron_button.png)](https://www.patreon.com/bluefireoss)

O realizando una única donación al comprarnos un café:

[![Buy Me A Coffee](https://user-images.githubusercontent.com/835641/60540201-fcd7fa00-9ce4-11e9-87ec-1e98568e9f58.png)](https://www.buymeacoffee.com/bluefire)

Además puede mostrar en su repositorio que su juego está hecho con Flame al utilizar una de las siguientes insignias:

[![Powered by Flame](https://img.shields.io/badge/Powered%20by-%F0%9F%94%A5-orange.svg)](https://flame-engine.org)
[![Powered by Flame](https://img.shields.io/badge/Powered%20by-%F0%9F%94%A5-orange.svg?style=flat-square)](https://flame-engine.org)
[![Powered by Flame](https://img.shields.io/badge/Powered%20by-%F0%9F%94%A5-orange.svg?style=for-the-badge)](https://flame-engine.org)

```
[![Powered by Flame](https://img.shields.io/badge/Powered%20by-%F0%9F%94%A5-orange.svg)](https://flame-engine.org)
[![Powered by Flame](https://img.shields.io/badge/Powered%20by-%F0%9F%94%A5-orange.svg?style=flat-square)](https://flame-engine.org)
[![Powered by Flame](https://img.shields.io/badge/Powered%20by-%F0%9F%94%A5-orange.svg?style=for-the-badge)](https://flame-engine.org)
```

## Contribuyendo

¿Ha encontrado algún error o tiene alguna sugerencia para mejorar Flame? Inicie un issue y lo
revisaremos lo antes posible.

¿Desea contribuir con un PR? Los PRs son siempre bienvenidos, sólo asegúrese de crearlo desde la
rama correcta (ver arriba) y completar el [checklist](.github/pull_request_template.md) que aparecerá
cuando se abra el PR.

Para cambios mayores, o si tienes alguna duda, asegurate de conversar sobre tu idea con el equipo de Flame. Ya sea por un issue, por discusión en GitHub, o contacta con el equipo usando el
[Servidor de Discord](https://discord.gg/pxrBmy4).


## Empezando

Puedes encontrar un sencillo tutorial para iniciar en 
[tutorials.flame-engine.org](https://tutorials.flame-engine.org) y ejemplos de la mayoría de características de Flame en [examples.flame-engine.org](https://examples.flame-engine.org). Para acceder al código de cada ejemplo, preciona los botones `< >` en la esquina derecha superior.


### Tutoriales destacados de la comunidad

- @Devowl's Flutter & Flame series: 
  - [Step 1: Create your game](https://medium.com/flutter-community/flutter-flame-step-1-create-your-game-b3b6ee387d77)
  - [Step 2: Game basics](https://medium.com/flutter-community/flutter-flame-step-2-game-basics-48b4493424f3)
  - [Step 3: Sprites and inputs](https://blog.devowl.de/flutter-flame-step-3-sprites-and-inputs-7ca9cc7c8b91)
  - [Step 4: Collisions & Viewport](https://blog.devowl.de/flutter-flame-step-4-collisions-viewport-ff2da048e3a6)
  - [Step 5: Level generation & camera](https://blog.devowl.de/flutter-flame-step-5-level-generation-camera-62a060a286e3 )

- Otros tutoriales:
  - @Vguzzi's article [Building Games in Flutter with Flame](https://www.raywenderlich.com/27407121-building-games-in-flutter-with-flame-getting-started)
  - @DevKage's YouTube series with the [Dino run tutorial](https://www.youtube.com/playlist?list=PLiZZKL9HLmWOmQgYxWHuOHOWsUUlhCCOY)

Ofrecemos una completa lista de Juegos, Librerías y Artículos en
[awesome-flame](https://github.com/flame-engine/awesome-flame).

Considere que algunos de los artículos podrían estar ligeramente desactualizados, pero aún pueden ser de ayuda.


## Créditos

 - El [Blue Fire team](https://github.com/orgs/bluefireteam/people), quienes están trabajando
 continuamente en mantener y mejorar Flame y su ecosistema.
 - Todos los amables contribuidores y las personas que ayudan en la comunidad.
